org.apache.storm.solr.mapper

## Class SolrJsonMapper

- java.lang.Object
- - org.apache.storm.solr.mapper.SolrJsonMapper

- All Implemented Interfaces:
    Serializable, SolrMapper

      public class SolrJsonMapper
      extends Object
      implements SolrMapper

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SolrJsonMapper.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCollection()`
    `org.apache.solr.client.solrj.SolrRequest` | `toSolrRequest(ITuple tuple)`
    `org.apache.solr.client.solrj.SolrRequest` | `toSolrRequest(List<? extends ITuple> tuples)` Maps to Solr request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.solr.mapper.SolrMapper

      `configure`

- - ### Method Detail

    - #### getCollection

          public String getCollection()

      Specified by:
        `getCollection` in interface `SolrMapper`

    - #### toSolrRequest

          public org.apache.solr.client.solrj.SolrRequest toSolrRequest(List<? extends ITuple> tuples)
                                                                 throws SolrMapperException

      Maps to Solr request.

      Specified by:
        `toSolrRequest` in interface `SolrMapper`
      Throws:
        `SolrMapperException` - if the tuple does not contain the

    - #### toSolrRequest

          public org.apache.solr.client.solrj.SolrRequest toSolrRequest(ITuple tuple)
                                                                 throws SolrMapperException

      Specified by:
        `toSolrRequest` in interface `SolrMapper`
      Throws:
        `SolrMapperException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.